Last Comment Bug 838724 - Port back the upstream patch for memory leak in libical
: Port back the upstream patch for memory leak in libical
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 2.3
Assigned To: Stefan Sitter
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 10:16 PST by Stefan Sitter
Modified: 2013-02-10 03:46 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch for memory leak in libical (2.38 KB, patch)
2013-02-06 10:16 PST, Stefan Sitter
philipp: review+
Details | Diff | Review

Description Stefan Sitter 2013-02-06 10:16:44 PST
Created attachment 710814 [details] [diff] [review]
patch for memory leak in libical

This patch ports back the upstream fix for a memory leak in libical

> patch for memory leak in libical - ID: 3046011
> http://sourceforge.net/tracker/index.php?func=detail&aid=3046011&group_id=16077&atid=316077

I can't give numbers how big the memory leak is or if our code triggers it at all. But it should not hurt and maybe improve the situation regarding reported memory problems with Lightning.
Comment 1 Philipp Kewisch [:Fallen] 2013-02-07 08:18:12 PST
Comment on attachment 710814 [details] [diff] [review]
patch for memory leak in libical

Thanks for the patch, r=philipp
Comment 2 Stefan Sitter 2013-02-10 03:46:22 PST
Pushed to https://hg.mozilla.org/comm-central/rev/0a6e923be4e9

Note You need to log in before you can comment on or make changes to this bug.